Server mod errors?

  • Hii! Im trying to play on a modded fabric 1.18.2 server with 10 mods in total but whenever I try to join the server it shows this error message below. It showed error messages for "The Twilight Forest" mod before so i removed the mod but still nothing changed. I tried re-installing fabric and still it didnt do anything, anyone know how to help?


    (The server launches perfectly fine, there arent any error or crash reports)

  • Make sure that the EXACT same mods installed on both your PC and the server. It is not enough to simply have the same mods installed, they must also be installed in the exact same version. Likewise, the version of the mod loader (Fabric/Forge) must be identical.